//////////////////////////////////////////
// MENACE.cpp
//Copyright (c) 12/11/2021 by BCCSkelton
//////////////////////////////////////////
#include	"MENACE.h"
#include	"MENACEProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!MENACE.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow("MainWnd", "MENACE");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!MENACE.Create(NULL, hInstance, "IDD_MENACE", ModelessProc))
		return 0L;

	//メッセージループに入る
	return MENACE.Loop();
}
